Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Oracle Новый топик    Ответить
 Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
oleg2010
Member

Откуда:
Сообщений: 30
Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?
13 июн 06, 13:01    [2765254]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
denix1
Member

Откуда: Киев
Сообщений: 4656
oleg2010
Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?

вообще, да, а так - нет...
нужно знать что подразумевается под словом "Совместимы"
13 июн 06, 13:32    [2765464]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
oleg2010
Member

Откуда:
Сообщений: 30
ну типа если скопирую файлы базы данных , все пойдет ?
13 июн 06, 13:37    [2765509]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
denix1
Member

Откуда: Киев
Сообщений: 4656
oleg2010
ну типа если скопирую файлы базы данных , все пойдет ?

если скопировать 8.1.7.0 -> 8.1.7.4
то нужно будет прогнать скрипт из патсчсета 8.1.7.4 для докатки словаря
базы до 8.1.7.4
читай readme.htm к 8.1.7.4 - там все описано

обратно, т.е. 8.1.7.4 -> 8.1.7.0 - базку покробовать открыть то можно
да вот боюсь что количество ORA-600 раздосадует...
да и не поддерживаемая конфигурация будет
13 июн 06, 13:43    [2765540]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
Файлы из 8.1.7.0 скопировать на сервак с 8.1.7.4?
скорей всего пойдет - проверь compatible параметр.
У меня один знакомый админ как то базу 9.2.0.6 на серваке с 9.2.0.0 поднял. и ничего. работало все :-)
13 июн 06, 13:47    [2765567]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
oleg2010
Member

Откуда:
Сообщений: 30
файлы с 8.1.7.4 скопировать на 8.1.7.0
compatible на 2 серваках стоит в 8.1.0
13 июн 06, 13:50    [2765581]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
Если это продакшен, то сервак таки желательно до максимума проапгредить.
И я б посоветовал на 9-ку переходить.
8-ка как то не удалась у ораклов ;-)

Ну а если просто базу поднять для импорта - ничо страшного. Разок можно ;-)
13 июн 06, 13:56    [2765623]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
Oleg Afanasiev
Member

Откуда: Киев
Сообщений: 3742
MElin

8-ка как то не удалась у ораклов ;-)


вот не нужно тут...
Она очень даже ничего.
С последним патчем самая стабильная.
13 июн 06, 13:59    [2765642]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
Oleg Afanasiev
MElin

8-ка как то не удалась у ораклов ;-)


вот не нужно тут...
Она очень даже ничего.
С последним патчем самая стабильная.


Ну, допустим, самая то стабильня, положим, 7.3 непомнюдальше ;-)
А про восьмерку как мои личные впечатления, так и неоднократные рекомендации Oracle Supportа (естественно после выходя 9R2 ) - менять при первой возможности. опять же до 9.2.0.5/7
С четными цифирками у ораклов вечно какая то лажа ;-)
13 июн 06, 14:07    [2765705]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
softy
Member

Откуда: from Russia
Сообщений: 5911
MElin
8-ка как то не удалась у ораклов ;-)



Чем именно?
13 июн 06, 14:08    [2765715]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
Vadim_Maximov
Member

Откуда: Москва
Сообщений: 3571
MElin
А про восьмерку как мои личные впечатления, так и неоднократные рекомендации Oracle Supportа (естественно после выходя 9R2 ) - менять при первой возможности. опять же до 9.2.0.5/7
С четными цифирками у ораклов вечно какая то лажа ;-)
Просто поддерживать им ее лениво :)
13 июн 06, 14:10    [2765729]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
Vadim_Maximov
Просто поддерживать им ее лениво :)

а они ее и не поддерживают ;-)
13 июн 06, 14:15    [2765764]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
Vadim_Maximov
Member

Откуда: Москва
Сообщений: 3571
Поддерживают. Просто патчи больше не выпускают.
13 июн 06, 14:16    [2765773]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
softbuilder@inbox.ru
Чем именно?

стабильностью работы, я б так сказал :-)
конкретные глюки, с которыми сам столкнулся, и изза которых переехал на 9-ку, как то уже подзабылись :-)
13 июн 06, 14:21    [2765817]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
softy
Member

Откуда: from Russia
Сообщений: 5911
MElin
softbuilder@inbox.ru
Чем именно?

стабильностью работы, я б так сказал :-)
конкретные глюки, с которыми сам столкнулся, и изза которых переехал на 9-ку, как то уже подзабылись :-)


Жаль примеров нет. А то так получается, просто голословное обвинение.
13 июн 06, 14:23    [2765824]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
softbuilder@inbox.ru

Жаль примеров нет. А то так получается, просто голословное обвинение.

Ну ладно... Фразу можно переделать так:
"Я бы посоветовал переходить на девятку.
ИМХО, 8-ка как то не удалась у ораклов"
Так лучше? ;-)
13 июн 06, 14:30    [2765865]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
softy
Member

Откуда: from Russia
Сообщений: 5911
А ты с какой версии переходил на 9i, не с 8.1.6?
13 июн 06, 14:42    [2765930]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
denix1
Member

Откуда: Киев
Сообщений: 4656
MElin

Ну ладно... Фразу можно переделать так:
"Я бы посоветовал переходить на девятку.
ИМХО, 8-ка как то не удалась у ораклов"
Так лучше? ;-)

лучше так

"Я бы посоветовал переходить на девятку."

правда с тем же успехом:
"Я бы посоветовал переходить на десятку."

вопрос в том что в людей тысячи баз которые себя чудно чуйствуют под 8и
и не только такой совет, но даже десуппортнутость 8и не заставит их
(не всех конечно, но многих)
переходить ни на 9и(Р2) ни на 10г(Р2)
13 июн 06, 14:47    [2765957]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
softbuilder@inbox.ru
А ты с какой версии переходил на 9i, не с 8.1.6?

Начал с нее. Да. Ну а последнюю базу уже с 8.1.7.4 - там тож ИМХО ;-) пара интересных ситуаций была.
Ну и во избежание зоопарка версий.
13 июн 06, 15:07    [2766067]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
denix1

"Я бы посоветовал переходить на десятку."

От на 10-ку я б (опять же ИМХО) переходить пока не советовал бы. Не смотря на то, что там появились многие интересные вещи и наконец то починили АНСИ СКЛ ;-) МОЯ тестовая база еще достаточно часто выдает 600-ю ошибку.

denix1

вопрос в том что в людей тысячи баз которые себя чудно чуйствуют под 8и
и не только такой совет, но даже десуппортнутость 8и не заставит их
(не всех конечно, но многих)
переходить ни на 9и(Р2) ни на 10г(Р2)

Ну... насчет многих.... я бы так не сказал. В моём радиусе внимания как то уже правтически все перебрались. Суппорт ;-)

Не переходите - это ваше личное дело, ведь никто же и не заставляет, правда?
Демократия, плюрализм, все такое.
13 июн 06, 15:29    [2766195]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
oleg2010
Member

Откуда:
Сообщений: 30
ответьте на мой вопрос плз
будет ли работать база?

>файлы с 8.1.7.4 скопировать на 8.1.7.0
>compatible на 2 серваках стоит в 8.1.0
13 июн 06, 15:42    [2766260]     Ответить | Цитировать Сообщить модератору
 Re: Совместимы ли базы Oracle 8.1.7.0 и 8.1.7.4?  [new]
MElin
Member

Откуда: Йо-бург
Сообщений: 84
oleg2010
ответьте на мой вопрос плз
будет ли работать база?

>файлы с 8.1.7.4 скопировать на 8.1.7.0
>compatible на 2 серваках стоит в 8.1.0


еще раз ;-)

Работать будет. Но неустойчиво.
варианты:
1. Сильно желательно сервак таки проапгрейдить до 8.1.7.4.
2. Поднять как есть, сделать експорт, убить базу, поднять снова - и сделать импорт.
13 июн 06, 16:32    [2766520]     Ответить | Цитировать Сообщить модератору
Все форумы / Oracle Ответить